<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="FreeSql" Version="3.2.833" />
    <PackageReference Include="FreeSql.Provider.MySql" Version="3.2.833" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="9.0.0" />
    <PackageReference Include="Microsoft.Extensions.Primitives" Version="9.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Fuel.Application\Fuel.Application.csproj" />
    <ProjectReference Include="..\src\FuelServer.Core\Fuel.Core.csproj" />
  </ItemGroup>

</Project>
